DEVICE_FIND_CHILD(9)

NAME
device_find_child - search for a child of a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
device_t
device_find_child(device_t dev, const char *classname, int unit);

DESCRIPTION
This function looks for a specific child of dev with the given classname and unit. If unit is -1, it returns the first child of dev with a matching classname (that is, the one with the lowest unit).

RETURN VALUES
If it exists, the child device is returned, otherwise NULL.

SEE ALSO
device_add_child(9)

AUTHORS
This manual page was written by Doug Rabson.